//----------------------------------------------------------
void initializeData() {
  //process Earth data
  cString = loadStrings(cFile);
  for (int j = 0; j < cString.length; j++) {
    String data[] = split(cString[j], ",");
    int year = (int)Integer.parseInt(data[0])-2006;
    int deweyNo = (int)Integer.parseInt(data[1])/10;
    int volume = (int)Integer.parseInt(data[2]);
    cVolume[year][deweyNo] = EarthHeight*int(log(volume)); //
  }

  //process Sun data
  jString = loadStrings(jFile);
  for (int j = 0; j < jString.length; j++) {
    String data[] = split(jString[j], ",");
    int year = (int)Integer.parseInt(data[0])-2006;
    int deweyNo = (int)Integer.parseInt(data[1])/10;
    int volume = (int)Integer.parseInt(data[2]);  
    jVolume[year][deweyNo] = SunHeight*int(log(volume));
  }


  //process Moon data
  mString = loadStrings(mFile);
  for (int m = 0; m < mString.length; m++) {
    String data[] = split(mString[m], ",");
    int year = (int)Integer.parseInt(data[0])-2006;
    int deweyNo = (int)Integer.parseInt(data[1])/10;
    int volume = (int)Integer.parseInt(data[2]);
    mVolume[year][deweyNo] = MoonHeight*int(log(volume));
    
  }
}
